//------------------------------------------------------------
//                   AD8556.H
//  20.05.2006
//  Robert tyrakowski, DK7NT
//------------------------------------------------------------
// Pyranometer  Sensitivity 5.27uV = 0.00000527 V
//
// ADC Input max 2.5V -> Verstrkung = 364,9102321
//
//   1300 * 0.00000527V = 0.006851 V -> 1300 W/m**2
//    2.5V / 0.006851 = 364,9102321
//
//    0 .. 0.006851V (0 .. 1300 W/m**2)

// Beispiele:
//                50   W/m**2 -> 0.096154 V
//                300  W/m**2 -> 0.576923 V
//                800  W/m**2 -> 1.528461 V
//                1000 W/m**2 -> 1.923076 V
//                1200 W/m**2 -> 2.307692 V

#define ad8556_pin P0_23

#define ad8556_high GPIO_IOSET0 |= ad8556_pin
#define ad8556_low  GPIO_IOCLR0 |= ad8556_pin

#define ad8556_start 0x801
#define ad8556_stop  0x7FE

#define ad8556_func_sense 0x00
#define ad8556_func_simulate 0x01
#define ad8556_func_program 0x02
#define ad8556_func_read 0x03

#define ad8556_set_first_stage 0x01
#define ad8556_set_second_stage 0x00
#define ad8556_set_offset 0x02

//#define default_gain   364.9102321
#define default_offset 0
#define default_ADC_offset -0.004

